AOZ Studio Beta - Bug #271

Point command not reporting correctly.
02/28/2020 09:27 PM - David Baldwin

Status: Closed Start date: 02/28/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.5.1

Description

This is going to be a difficult one to fix, and will probably open a can of worms.

The point (x,y) function is returning the first colour number that matches the colour on the screen, not the ink number it was drawn
with.

Example:-

Palette $000000,$a2a0000,$a2a0000,$aa0000
Cls0

Ink 1
Bar 10,100 to 50,140

Ink 2
Bar 60,100 to 100,140

Ink 3
Bar 110,100 to 150,140

C1=Point (20,120)
C2=Point (70,120)
C3=Point (120,120)

Locate 0,8
Print "1st Square returns point colour";C1 // Should be 1

Print "2nd Square returns point colour";C2 // Should be 2
Print "3rd Square returns point colour";C3 // Should be 3

History

#1 - 03/14/2020 08:40 AM - David Baldwin

- Status changed from New to Closed
